BLK_QUEUE_INVALI(9)

NAME
blk_queue_invalidate_tags - invalidate all pending tags

SYNOPSIS

void blk_queue_invalidate_tags (request_queue_t * q);

ARGUMENTS

q   the request queue for the device

DESCRIPTION

Hardware conditions may dictate a need to stop all pending requests. In this case, we will safely clear the block side of the tag queue and readd all requests to the request queue in the right order.

NOTES

queue lock must be held.